CREATE TABLE IF NOT EXISTS users (
    id INTEGER PRIMARY KEY AUTOINCREMENT,
    email TEXT,
    password TEXT,
    firstname TEXT,
    familyName TEXT,
    gender TEXT,
    city TEXT,
    country TEXT,
    profile_image TEXT
);

CREATE TABLE IF NOT EXISTS users_messages (
    id INTEGER PRIMARY KEY AUTOINCREMENT,
    email TEXT NOT NULL,
    messages TEXT NOT NULL,
    writer TEXT,
    latitude REAL,
    longitude REAL,
    FOREIGN KEY(email) REFERENCES users(email) ON DELETE CASCADE
);

CREATE TABLE IF NOT EXISTS user_media (
    id INTEGER PRIMARY KEY AUTOINCREMENT,
    email TEXT NOT NULL,
    file_path TEXT NOT NULL,
    file_type TEXT NOT NULL,
    uploaded_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    FOREIGN KEY (email) REFERENCES users(email)
)